## NAME

CURLOPT_PROXYUSERNAME - user name to use for proxy authentication

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYUSERNAME,
                              char *username);

## DESCRIPTION

Pass a char * as parameter, which should be pointing to the zero terminated user name to use for the transfer.

CURLOPT_PROXYUSERNAME sets the user name to be used in protocol authentication with the proxy.

To specify the proxy password use the CURLOPT_PROXYPASSWORD.

## DEFAULT

blank

## PROTOCOLS

Most

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.19.1

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_PROXYPASSWORD, CURLOPT_USERNAME, CURLOPT_HTTPAUTH, CURLOPT_PROXYAUTH

This HTML page was made with roffit.